Bug 1148230 (CVE-2014-3675) - CVE-2014-3675 shim: out-of-bounds memory read flaw in DHCPv6 packet processing
Summary: CVE-2014-3675 shim: out-of-bounds memory read flaw in DHCPv6 packet processing
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-3675
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20141013,reported=2...
Depends On: 1148239 1148240 1152388
Blocks: 1148235
TreeView+ depends on / blocked
 
Reported: 2014-10-01 02:39 UTC by Murray McAllister
Modified: 2019-06-08 20:12 UTC (History)
7 users (show)

Fixed In Version: shim-0.7-8.el7
Doc Type: Bug Fix
Doc Text:
An out-of-bounds memory read flaw was found in the way shim parsed certain IPv6 packets. A specially crafted DHCPv6 packet could possibly cause shim to crash, preventing the system from booting if IPv6 booting was enabled.
Clone Of:
Environment:
Last Closed: 2014-11-04 18:50:10 UTC


Attachments (Terms of Use)
proposed patch (3.95 KB, patch)
2014-10-01 02:57 UTC, Murray McAllister
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1801 normal SHIPPED_LIVE Moderate: shim security update 2014-11-04 22:56:40 UTC

Description Murray McAllister 2014-10-01 02:39:31 UTC
An out-of-bounds memory read flaw was found in shim when IPv6 network booting was enabled. A specially-crafted DHCPv6 packet could possibly cause shim to crash, preventing the system from booting.

Note that performing a secure boot over the network is not a common scenario.

Acknowledgements:

Red Hat would like to thank the SUSE Security Team for reporting this issue.

Comment 2 Murray McAllister 2014-10-01 02:57:15 UTC
Created attachment 942902 [details]
proposed patch

Comment 5 Murray McAllister 2014-10-14 03:59:32 UTC
Public now:

http://seclists.org/oss-sec/2014/q4/311

Comment 6 Murray McAllister 2014-10-14 04:02:33 UTC
Created shim tracking bugs for this issue:

Affects: fedora-all [bug 1152388]

Comment 8 Fedora Update System 2014-11-01 17:07:36 UTC
shim-0.8-1.fc22, shim-signed-0.8-1.fc22, mokutil-0.2.0-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Martin Prpič 2014-11-04 10:25:52 UTC
IssueDescription:

An out-of-bounds memory read flaw was found in the way shim parsed certain IPv6 packets. A specially crafted DHCPv6 packet could possibly cause shim to crash, preventing the system from booting if IPv6 booting was enabled.

Comment 10 errata-xmlrpc 2014-11-04 17:56:50 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2014:1801 https://rhn.redhat.com/errata/RHSA-2014-1801.html

Comment 11 Fedora Update System 2014-11-12 02:36:02 UTC
mokutil-0.2.0-1.fc19, shim-signed-0.8-2 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2014-11-12 02:40:58 UTC
mokutil-0.2.0-1.fc20, shim-signed-0.8-3 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.